apiVersion: cli.kyverno.io/v1alpha1
kind: Test
metadata:
  name: restrict-apparmor
policies:
  - ../../../policies/restrict-apparmor.yaml
resources:
  - bad-resource.yaml
  - good-resource.yaml
results:
  - policy: restrict-apparmor
    rule: app-armor
    kind: Pod
    resources:
      - restrict-apparmor-good-1
      - restrict-apparmor-good-2
    result: pass
  - policy: restrict-apparmor
    rule: app-armor
    kind: Pod
    resources:
      - restrict-apparmor-bad
    result: fail
